curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId}/fork \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId}/fork"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId}/fork', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"backgroundJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queue": "ingest",
"jobName": "<string>",
"status": "queued",
"notify_email": true
}{
"error": "INVALID_REQUEST",
"details": {
"field": "email",
"message": "Invalid email format"
}
}{
"error": "UNAUTHORIZED",
"details": {
"message": "Missing or invalid authentication token"
}
}{
"error": "FORBIDDEN",
"details": {
"message": "User does not have permission to access this resource"
}
}{
"error": "NOT_FOUND",
"details": {
"message": "Resource not found"
}
}{
"error": "INTERNAL_SERVER_ERROR",
"details": {
"message": "An unexpected error occurred"
}
}Bifurcar Catálogo
Enqueues an async job to create an independent copy of a catalog. Returns 202 Accepted immediately. Poll GET /api/workspace/{workspaceId}/jobs/{backgroundJobId} for status.
Autorizações
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Parâmetros de caminho
The workspace ID
^ws_[a-z0-9]+$Corpo
1 - 255Resposta
Catalog fork job enqueued. Poll /api/workspace/{workspaceId}/jobs/{backgroundJobId} for status.
Returned when a background job is successfully enqueued for async processing (202 Accepted). Poll GET /api/workspace/{workspaceId}/jobs/{backgroundJobId} for status updates. An in-app toast notification is shown when the job reaches a terminal state. Pass notify_email: true in the request to also receive an email on completion or failure.
BullMQ job ID (matches backgroundJobId for correlation)
Internal background_jobs record ID. Use this to poll the jobs status endpoint.
Worker queue the job was added to
ingest, catalog, media Job type identifier (e.g. pipeline_run, platform_sync, workflow_batch)
Initial status. Transitions to active → completed | failed as the worker processes it.
queued Whether the user opted in to receive an email notification when the job completes or fails. Defaults to false if not provided in the request.